Bug 1418000 - VMware EMS Refresh fails with "block (2 levels) in getMoPropMulti' error
Summary: VMware EMS Refresh fails with "block (2 levels) in getMoPropMulti' error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.6.4
Assignee: Adam Grare
QA Contact: Alex Newman
URL:
Whiteboard: vmware:ems_refresh
Depends On: 1412179
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 14:55 UTC by Satoe Imaishi
Modified: 2020-04-15 15:11 UTC (History)
9 users (show)

Fixed In Version: 5.6.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1412179
Environment:
Last Closed: 2017-03-09 17:09:00 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0474 normal SHIPPED_LIVE CFME 5.6.4 bug fixes and enhancement update 2017-03-09 22:03:14 UTC

Comment 3 CFME Bot 2017-01-31 19:21:04 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/41d79f869c309cf807954e9fafcb41a4bad6039d

commit 41d79f869c309cf807954e9fafcb41a4bad6039d
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Jan 31 09:57:43 2017 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Jan 31 09:59:40 2017 -0500

    Use Array() for non-array propSet
    
    In the case where ObjectContent.propSet is nil [oc.propSet] will result
    in [nil] where Array(oc.propSet) will result in []
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1418000

 gems/pending/VMwareWebService/MiqVimInventory.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 5 errata-xmlrpc 2017-03-09 17:09:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0474.html


Note You need to log in before you can comment on or make changes to this bug.